ERROR: The PHP binary coming with ISPConfig does not work properly on your system!

Discussion in 'Installation/Configuration' started by qvindesland, Dec 14, 2005.

Thread Status:
Not open for further replies.
  1. qvindesland

    qvindesland New Member

    Hello All,

    I am a newbie in regards to ISPConfig, I am trying to install ISPConfig on my suse 9.3 box but when I am trying to run the installation it comes up with the following error: ERROR: The PHP binary coming with ISPConfig does not work properly on your system! The installation routine stops here!

    Things is starting to go sour from this point:
    checking for MySQL UNIX socket location... no
    configure: error: Cannot find MySQL header files under /usr.
    Note that the MySQL client library is not bundled anymore.
    ERROR: Could not configure PHP
    cd: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/aps.tar.gz': No such file or directory
    mv: cannot stat `binaries/spamassassin.tar.gz': No such file or directory
    mv: cannot stat `binaries/uudeview.tar.gz': No such file or directory
    mv: cannot stat `binaries/clamav.tar.gz': No such file or directory
    mv: cannot stat `binaries/cronolog': No such file or directory
    mv: cannot stat `binaries/cronosplit': No such file or directory
    mv: cannot stat `binaries/ispconfig_tcpserver': No such file or directory
    mv: cannot stat `binaries/zip': No such file or directory
    mv: cannot stat `binaries/unzip': No such file or directory
    tar: spamassassin.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `spamassassin': No such file or directory
    tar: uudeview.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `uudeview': No such file or directory
    tar: clamav.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `clamav': No such file or directory
    tar: aps.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    ./setup2: line 771: ispconfig_tmp/php/bin/php: No such file or directory
    ERROR: The PHP binary coming with ISPConfig does not work properly on your system! The installation routine stops here!


    Any suggestions to what I need to do to finish off the install?

    Regards
    Pers
     
  2. till

    till Super Moderator

    The mysql header files are missing on your server. Install the mysql devel packages of your linux distribution. Remove the failed mysql installation as described in the installation manual and unpack and run the installer again.
     
  3. qvindesland

    qvindesland New Member

    Wow That was a quick reply cheers will try. :)
     
  4. Acadien

    Acadien New Member

    zlib update

    Myself I also had to upgrade zlib

    cd /tmp
    wget http://www.zlib.net/zlib-1.2.3.tar.gz
    tar zxvf zlib-1.2.3.tar.gz
    cd zlib-1.2.3
    nano README
    make test
    make install
    cd /whereever you put ISPconfig.tar
    tar xvfz ISPConfig-2.1.2.tar.gz
    cd install .... etc
    this worked for me on centos
     
  5. Duplex

    Duplex New Member

    yup looks like the same here...

    I had to update zlib as well for debian.

    Once I got that going it seems to have falled in place install's still going I'll post any further issues I have thanx lol...

    Edit: Actually when it gets done it's still hanging on the php that came with the ISPConfig install is not compatible with your system. Will post the error here once I get it again. Running through the setup at 10:37am Mountain Time...

    Note: Small keyboard and program that cancel's install upon typo's sucks...
     
    Last edited: Jan 14, 2006
  6. geek.de.nz

    geek.de.nz New Member

    I have a similar problem, but my output is different.

    I am running Debian 3.1 (Sarge) and installed the following before I started ./setup:
    zlib1g-dev
    libmysqlclient15-dev

    Is the last package not the one I need? I couldn't find mysql-dev with:
    #apt-cache search mysql lib|grep mysql
    or
    #apt-cache search mysql deb|grep mysql

    All I found was:
    ########### output of #apt-cache search mysql deb|grep mysql
    libgnademysql1 - MySQL specific runtime library for GNADE
    libhk-classes-mysql - MySQL driver plugin for libhk-classes
    libmysql-java - Java database (JDBC) driver for MySQL
    libmysql-ocaml-dev - OCaml bindings for MySql
    libmysqlclient10-dev - LGPL-licensed client development files for MySQL databases
    libmysqlclient12-dev - mysql database development files
    linesrv-mysql - A server to remotely control the internet connection
    nagios-mysql - A host/service/network monitoring and management system
    php3-cgi-mysql - Mysql module for PHP3 (use with php3-cgi)
    php3-mysql - Mysql module for PHP3 (use with php3)
    libmysqlclient14-dev - mysql database development files
    php4-mysql - MySQL module for php4
    libmysqlclient15-dev - mysql database development files
    ########### end output of #apt-cache search mysql deb|grep mysql

    ########## Output of #./setup:
    cc1: out of memory allocating 36175296 bytes after a total of 2732032 bytes
    make: *** [ext/date/lib/parse_date.lo] Error 1
    ERROR: Could not make PHP
    cd: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    cd: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/aps.tar.gz': No such file or directory
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/spamassassin.tar.gz': No such file or directory
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/uudeview.tar.gz': No such file or directory
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/clamav.tar.gz': No such file or directory
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/cronolog': No such file or directory
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/cronosplit': No such file or directory
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/ispconfig_tcpserver': No such file or directory
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/zip': No such file or directory
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/unzip': No such file or directory
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    tar: spamassassin.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `spamassassin': No such file or directory
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    tar: uudeview.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `uudeview': No such file or directory
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    tar: clamav.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `clamav': No such file or directory
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    tar: aps.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    ./setup2: line 777: ispconfig_tmp/php/bin/php: No such file or directory
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    ERROR: The PHP binary coming with ISPConfig does not work properly on your system! The installation routine stops here!
    job-working-directory: could not get current directory: getcwd: cannot access parent directories: No such file or directory
    ########## end Output of #./setup:

    Is it maybe something to do with
    cc1: out of memory allocating 36175296 bytes after a total of 2732032 bytes
    ?

    Is there a memory problem? But the server should have enough memory????

    Please help, I've been trying to install ISPConfig for a while now. Cheers.
     
  7. geek.de.nz

    geek.de.nz New Member

    The problem might be with my kernel, but unfortunately I cannot recompile the kernel, because it's a vserver.

    Output of
    Code:
    uname -a
    
    Code:
    Linux 2.6.8-022stab070.1-enterprise #1 SMP Mon Feb 20 18:19:00 MSK 2006 i686 GNU/Linux
    Is there another solution to this maybe?
     
  8. till

    till Super Moderator

    Your problem is that you do not have enough RAM and / or SWAP memory to compile PHP:

    I dont know if it is possible in your virtual machine to create a swap device?
     
  9. seraph

    seraph New Member

  10. seraph

    seraph New Member

    scratch that, didn't seem to work.
     
  11. herbie

    herbie New Member

    I'm getting a similar failure to geek.nz's but I can't scroll up to see if it's memory/swap related. Does the installation leave a logfile somewhere to check?

    (doing the ubuntu perfect setup)

    EDIT: yes it does, but it is not the screen result. Simply says failed to unpack ISPConfig and sent mssg....
    /var/log/ispconfig_install.log
     
    Last edited: Oct 1, 2006
  12. William_Syd

    William_Syd New Member

    Not sure on the memory bit but I had to install these to get past the PHP problem..

    [root@centisp log]# more yum.log
    Oct 02 16:52:49 Updated: libgcc.i386 3.4.6-3
    Oct 02 16:53:14 Updated: glibc-common.i386 2.3.4-2.25
    Oct 02 16:53:22 Updated: glibc.i686 2.3.4-2.25
    Oct 02 16:53:22 Installed: cpp.i386 3.4.6-3
    Oct 02 16:53:24 Installed: glibc-kernheaders.i386 2.4-9.1.98.EL
    Oct 02 16:53:25 Installed: glibc-headers.i386 2.3.4-2.25
    Oct 02 16:53:25 Installed: glibc-devel.i386 2.3.4-2.25
    Oct 02 16:53:27 Installed: gcc.i386 3.4.6-3
    Oct 02 16:54:07 Installed: bison.i386 1.875c-2
    Oct 02 16:57:15 Updated: mysql.i386 4.1.20-1.RHEL4.1
    Oct 02 16:57:16 Updated: mysql-devel.i386 4.1.20-1.RHEL4.1
    Oct 02 16:57:16 Installed: mysqlclient10-devel.i386 3.23.58-4.RHEL4.1
    Oct 02 16:57:18 Installed: mysql-server.i386 4.1.20-1.RHEL4.1
    Oct 02 16:57:18 Installed: mysql-bench.i386 4.1.20-1.RHEL4.1
    Oct 02 17:09:00 Installed: flex.i386 2.5.4a-33
    Oct 02 17:31:35 Updated: coreutils.i386 5.2.1-31.4
    [root@centisp log]#

    This was on Centos 4.3 Server Install.
     
  13. till

    till Super Moderator

    Please make sure you installed the following packages "make bison flex gcc" with the command:
    Code:
    apt-get install make bison flex gcc
     
  14. Daniel W. Mcload

    Daniel W. Mcload New Member

    error with ubuntu 6.0.6.

    Hello,

    I've the same error
    (ERROR: The PHP binary coming with ISPConfig does not work properly on your system! The installation routine stops here!)
    what has mentioned here earlier.

    I installed my ubuntu (dapper drake) earlier by the howtoforge's directions, and readed carefully these topic's (for example, I installed the mysql-dev lib).

    But there's still the error.

    I think it's could be some problem with the Ubuntu, because the setup script seems to be recognise my system as 'debiandevelop/unstable'.

    Before install I watched the dist.txt in the installation dir, but, in front of the documentation, there is no Ubuntu lines!?

    Can you help me?
     
  15. till

    till Super Moderator

    Please post the error you got in the compile output above this error.

    Please make sure you installed bison, make, gcc and flex. If you are not sure, run this command:

    Thats correct. Ubuntu is a debian development relaese :)
     
  16. Daniel W. Mcload

    Daniel W. Mcload New Member

    I was sure that bison, make, gcc and flex had installed.

    But the error was a blame for me..
    At last it was just some mistake in the ssl certificate informations (I did not give the days of validity correct) so now it's working.

    Thanks for all the help!

    Installed, it's seems that, what I expected when I found this software. Great job. :)

     
  17. webdbywill

    webdbywill New Member

    Ok so I've been getting the same errors as everyone else.

    I'm running Ubuntu 6.10
    I've checked all the possible threads I could reguarding this issue. I've made sure that all the packages that people have been referencing are installed. So I'm not really sure what to do at this point. I need to get my server back up today preferably. And I don't want to be spending all day on it. LOL.

    Below is everything in my terminal window as far up as i could copy.

    Code:
    
    Argument "6.30_01" isn't numeric in subroutine entry at Makefile.PL line 8.
    Argument "6.30_01" isn't numeric in numeric ge (>=) at Makefile.PL line 136.
    What email address or URL should be used in the suspected-spam report
    text for users who want more information on your filter installation?
    (In particular, ISPs should change this to a local Postmaster contact)
    default text: [the administrator of that system] 
    
    NOTE: settings for "make test" are now controlled using "t/config.dist". 
    See that file if you wish to customise what tests are run, and how.
    
    checking module dependencies and their versions...
    
    ***************************************************************************
    ERROR: the required Digest::SHA1 module is not installed.
    
      The Digest::SHA1 module is used as a cryptographic hash for some
      tests and the Bayes subsystem.  It is also used by Razor2.
    
    
    ***************************************************************************
    NOTE: the optional Net::DNS (version 0.34) module is not installed.
    
      Used for all DNS-based tests (SBL, XBL, SpamCop, DSBL, etc.),
      perform MX checks, and is also used when manually reporting spam to
      SpamCop.  Recommended.
    
      If this is installed and you are using network tests of any variety
      (which is the default), then you need to make sure the Net::DNS
      version is sufficiently up-to-date:
    
      - version 0.34 or higher on Unix systems
      - version 0.46 or higher on Windows systems
    
    
    ***************************************************************************
    NOTE: the optional Mail::SPF::Query module is not installed.
    
      Used to check DNS Sender Policy Framework (SPF) records to fight email
      address forgery and make it easier to identify spams.
    
    
    ***************************************************************************
    NOTE: the optional IP::Country module is not installed.
    
      Used by the RelayCountry plugin (not enabled by default) to determine
      the domain country codes of each relay in the path of an email.
    
    
    ***************************************************************************
    NOTE: the optional Razor2 (version 2.61) module is not installed.
    
      Used to check message signatures against Vipul's Razor collaborative
      filtering network. Razor has a large number of dependencies on CPAN
      modules. Feel free to skip installing it, if this makes you nervous;
      SpamAssassin will still work well without it.
    
      More info on installing and using Razor can be found
      at http://wiki.apache.org/spamassassin/InstallingRazor .
    
    
    ***************************************************************************
    NOTE: the optional Net::Ident module is not installed.
    
      If you plan to use the --auth-ident option to spamd, you will need
      to install this module.
    
    
    ***************************************************************************
    NOTE: the optional IO::Socket::INET6 module is not installed.
    
      This is required if the first nameserver listed in your IP
      configuration or /etc/resolv.conf file is available only via
      an IPv6 address.
    
    
    ***************************************************************************
    NOTE: the optional IO::Socket::SSL module is not installed.
    
      If you wish to use SSL encryption to communicate between spamc and
      spamd (the --ssl option to spamd), you need to install this
      module. (You will need the OpenSSL libraries and use the
      ENABLE_SSL="yes" argument to Makefile.PL to build and run an SSL
      compatibile spamc.)
    
    
    ***************************************************************************
    NOTE: the optional Archive::Tar (version 1.23) module is not installed.
    
      The "sa-update" script requires this module to access tar update
      archive files.
    
    
    ***************************************************************************
    NOTE: the optional IO::Zlib (version 1.04) module is not installed.
    
      The "sa-update" script requires this module to access compressed
      update archive files.
    
    REQUIRED module missing: Digest::SHA1
    optional module missing: Net::DNS
    optional module missing: Mail::SPF::Query
    optional module missing: IP::Country
    optional module missing: Razor2
    optional module missing: Net::Ident
    optional module missing: IO::Socket::INET6
    optional module missing: IO::Socket::SSL
    optional module missing: Archive::Tar
    optional module missing: IO::Zlib
    
    warning: some functionality may not be available,
    please read the above report before continuing!
    
    ERROR: Could not configure SpamAssassin
    cd: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/aps.tar.gz': No such file or directory
    mv: cannot stat `binaries/spamassassin.tar.gz': No such file or directory
    mv: cannot stat `binaries/uudeview.tar.gz': No such file or directory
    mv: cannot stat `binaries/clamav.tar.gz': No such file or directory
    mv: cannot stat `binaries/cronolog': No such file or directory
    mv: cannot stat `binaries/cronosplit': No such file or directory
    mv: cannot stat `binaries/ispconfig_tcpserver': No such file or directory
    mv: cannot stat `binaries/zip': No such file or directory
    mv: cannot stat `binaries/unzip': No such file or directory
    tar: spamassassin.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `spamassassin': No such file or directory
    tar: uudeview.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `uudeview': No such file or directory
    tar: clamav.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `clamav': No such file or directory
    tar: aps.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    ./setup2: line 860: ispconfig_tmp/php/bin/php: No such file or directory
    ERROR: The PHP binary coming with ISPConfig does not work properly on your system! The installation routine stops here!
     
  18. till

    till Super Moderator

    Not everyone is getting errors, only the poeple that neither read the installation instructions nor follow one of the perfect setup guides ;)

    Please run this command to install all perl requisites:

    apt-get install libhtml-parser-perl libdb-file-lock-perl libnet-dns-perl
     
  19. armitage

    armitage New Member

    Etch

    :)

    Help! I did try my best. ;D

    Here's my error below?

    Code:
    
    tar: Skipping to next header
    php-5.2.1/win32/wsyslog.c
    tar: php-5.2.1/win32/wsyslog.c: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/win32/registry.c
    tar: php-5.2.1/win32/registry.c: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/win32/builddef.bat
    tar: php-5.2.1/win32/builddef.bat: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/TODO-5.1
    tar: php-5.2.1/TODO-5.1: Cannot write: No space left on device
    php-5.2.1/cvsclean.bat
    tar: php-5.2.1/cvsclean.bat: Cannot write: No space left on device
    php-5.2.1/ltmain.sh
    tar: php-5.2.1/ltmain.sh: Cannot write: No space left on device
    php-5.2.1/php.ini-dist
    tar: php-5.2.1/php.ini-dist: Cannot write: No space left on device
    php-5.2.1/README.EXT_SKEL
    tar: php-5.2.1/README.EXT_SKEL: Cannot write: No space left on device
    php-5.2.1/configure
    tar: php-5.2.1/configure: Cannot write: No space left on device
    php-5.2.1/scripts/
    tar: php-5.2.1/scripts: Cannot mkdir: No space left on device
    php-5.2.1/scripts/dev/
    tar: php-5.2.1/scripts/dev: Cannot mkdir: No such file or directory
    php-5.2.1/scripts/dev/credits
    tar: php-5.2.1/scripts/dev/credits: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/dev/phpextdist
    tar: php-5.2.1/scripts/dev/phpextdist: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/dev/extern_c.php
    tar: php-5.2.1/scripts/dev/extern_c.php: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/dev/search_underscores.php
    tar: php-5.2.1/scripts/dev/search_underscores.php: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/dev/check_parameters.php
    tar: php-5.2.1/scripts/dev/check_parameters.php: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/dev/conv_proto
    tar: php-5.2.1/scripts/dev/conv_proto: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/dev/conv_z_macros
    tar: php-5.2.1/scripts/dev/conv_z_macros: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/man1/
    tar: php-5.2.1/scripts/man1: Cannot mkdir: No such file or directory
    php-5.2.1/scripts/man1/phpize.1.in
    tar: php-5.2.1/scripts/man1/phpize.1.in: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/man1/php-config.1.in
    tar: php-5.2.1/scripts/man1/php-config.1.in: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/Makefile.frag
    tar: php-5.2.1/scripts/Makefile.frag: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/apache/
    tar: php-5.2.1/scripts/apache: Cannot mkdir: No such file or directory
    php-5.2.1/scripts/apache/aphtaccess-conv.sh
    tar: php-5.2.1/scripts/apache/aphtaccess-conv.sh: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/apache/conffix.awk
    tar: php-5.2.1/scripts/apache/conffix.awk: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/apache/apconf-conv.sh
    tar: php-5.2.1/scripts/apache/apconf-conv.sh: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/apache/htaccessfix.awk
    tar: php-5.2.1/scripts/apache/htaccessfix.awk: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/php-config.in
    tar: php-5.2.1/scripts/php-config.in: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/phpize.m4
    tar: php-5.2.1/scripts/phpize.m4: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/scripts/phpize.in
    tar: php-5.2.1/scripts/phpize.in: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/Makefile.global
    tar: php-5.2.1/Makefile.global: Cannot write: No space left on device
    php-5.2.1/README.CVS-RULES
    tar: php-5.2.1/README.CVS-RULES: Cannot write: No space left on device
    php-5.2.1/makerpm
    tar: php-5.2.1/makerpm: Cannot write: No space left on device
    php-5.2.1/configure.in
    tar: php-5.2.1/configure.in: Cannot write: No space left on device
    php-5.2.1/README.TESTING
    tar: php-5.2.1/README.TESTING: Cannot write: No space left on device
    php-5.2.1/config.guess
    tar: php-5.2.1/config.guess: Cannot write: No space left on device
    php-5.2.1/README.STREAMS
    tar: php-5.2.1/README.STREAMS: Cannot write: No space left on device
    php-5.2.1/makedist
    tar: php-5.2.1/makedist: Cannot write: No space left on device
    php-5.2.1/server-tests.php
    tar: php-5.2.1/server-tests.php: Cannot write: No space left on device
    php-5.2.1/install-sh
    php-5.2.1/genfiles
    tar: php-5.2.1/genfiles: Cannot write: No space left on device
    php-5.2.1/config.sub
    tar: php-5.2.1/config.sub: Cannot write: No space left on device
    php-5.2.1/missing
    php-5.2.1/CODING_STANDARDS
    tar: php-5.2.1/CODING_STANDARDS: Cannot write: No space left on device
    php-5.2.1/mkinstalldirs
    php-5.2.1/README.TESTING2
    tar: php-5.2.1/README.TESTING2: Cannot write: No space left on device
    php-5.2.1/footer
    tar: php-5.2.1/footer: Cannot write: No space left on device
    php-5.2.1/header
    tar: php-5.2.1/header: Cannot write: No space left on device
    php-5.2.1/netware/
    tar: php-5.2.1/netware: Cannot mkdir: No space left on device
    php-5.2.1/netware/start.c
    tar: php-5.2.1/netware/start.c: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/netware/sendmail_nw.h
    tar: php-5.2.1/netware/sendmail_nw.h: Cannot open: No such file or directory
    tar: Skipping to next header
    php-5.2.1/php5.spec.in
    tar: php-5.2.1/php5.spec.in: Cannot write: No space left on device
    php-5.2.1/UPGRADING
    tar: php-5.2.1/UPGRADING: Cannot write: No space left on device
    php-5.2.1/cvsclean
    tar: php-5.2.1/cvsclean: Cannot write: No space left on device
    php-5.2.1/README.EXTENSIONS
    tar: php-5.2.1/README.EXTENSIONS: Cannot write: No space left on device
    php-5.2.1/README.QNX
    tar: php-5.2.1/README.QNX: Cannot write: No space left on device
    php-5.2.1/run-tests.php
    tar: php-5.2.1/run-tests.php: Cannot write: No space left on device
    php-5.2.1/acinclude.m4
    tar: php-5.2.1/acinclude.m4: Cannot write: No space left on device
    php-5.2.1/README.SELF-CONTAINED-EXTENSIONS
    tar: php-5.2.1/README.SELF-CONTAINED-EXTENSIONS: Cannot write: No space left on device
    php-5.2.1/stub.c
    tar: php-5.2.1/stub.c: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/buildconf
    tar: php-5.2.1/buildconf: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/stamp-h.in
    tar: php-5.2.1/stamp-h.in: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/README.input_filter
    tar: php-5.2.1/README.input_filter: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/generated_lists
    tar: php-5.2.1/generated_lists: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/README.Zeus
    tar: php-5.2.1/README.Zeus: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/INSTALL
    tar: php-5.2.1/INSTALL: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/TODO-PHP5
    tar: php-5.2.1/TODO-PHP5: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/EXTENSIONS
    tar: php-5.2.1/EXTENSIONS: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/server-tests-config.php
    tar: php-5.2.1/server-tests-config.php: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/snapshot
    tar: php-5.2.1/snapshot: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/php.gif
    tar: php-5.2.1/php.gif: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/README.PARAMETER_PARSING_API
    tar: php-5.2.1/README.PARAMETER_PARSING_API: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/acconfig.h
    tar: php-5.2.1/acconfig.h: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/README.PHP4-TO-PHP5-THIN-CHANGES
    tar: php-5.2.1/README.PHP4-TO-PHP5-THIN-CHANGES: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/CREDITS
    tar: php-5.2.1/CREDITS: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/README.UPDATE_5_2
    tar: php-5.2.1/README.UPDATE_5_2: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/README.UNIX-BUILD-SYSTEM
    tar: php-5.2.1/README.UNIX-BUILD-SYSTEM: Cannot open: No space left on device
    tar: Skipping to next header
    php-5.2.1/buildconf.bat
    tar: php-5.2.1/buildconf.bat: Cannot open: No space left on device
    tar: Skipping to next header
    tar: Error exit delayed from previous errors
    ERROR: Could not unpack PHP
    cd: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/aps.tar.gz': No such file or directory
    mv: cannot stat `binaries/spamassassin.tar.gz': No such file or directory
    mv: cannot stat `binaries/uudeview.tar.gz': No such file or directory
    mv: cannot stat `binaries/clamav.tar.gz': No such file or directory
    
    HAD TO REMOVE SOME TO FIT INTO POST?
    
    tar: Error exit delayed from previous errors
    ./setup2: line 862: ispconfig_tmp/php/bin/php: No such file or directory
    ERROR: The PHP binary coming with ISPConfig does not work properly on your system! The installation routine stops here!
    mail:/install_ispconfig#
    
    
     
  20. till

    till Super Moderator

    You harddisk is fulle. This can not be prevented by following the perfect setup guide of course :)

    You need about 200 MB free space in /root
     
Thread Status:
Not open for further replies.

Share This Page